Package twisted :: Package spread :: Module util :: Class StringPager

[show private | hide private]
[frames | no frames]

## Class StringPager

    Pager --+
            |
           StringPager

A simple pager that splits a string into chunks.

Method Summary
| `__init__(self, collector, st, chunkSize, callback, *args, **kw)`
| ``nextPage`(self)` Override this to return an object to be sent to my collector.
| ``sendNextPage`(self)` (internal) Method called by Broker. (inherited from `Pager`)
| ``stillPaging`(self)` (internal) Method called by Broker. (inherited from `Pager`)
| ``stopPaging`(self)` Call this when you're done paging. (inherited from `Pager`)

Method Details

### nextPage(self)

Override this to return an object to be sent to my collector.

  Overrides:
    `twisted.spread.util.Pager.nextPage` (inherited documentation)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:27 2003 | http://epydoc.sf.net